Bug 32900 - Add interface for controlling video streaming
Summary: Add interface for controlling video streaming
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: tp-spec (show other bugs)
Version: git master
Hardware: Other All
: medium normal
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL:
Whiteboard: Call
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-07 08:59 UTC by Jonathon Jongsma
Modified: 2011-02-14 08:11 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Add initial Call.Content.I.VideoControl interface (6.58 KB, patch)
2011-01-07 09:10 UTC, Jonathon Jongsma
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathon Jongsma 2011-01-07 08:59:44 UTC
Most of the time, the client takes care of all of the media streaming via telepathy-farsight.  In some cases the media is transferred over shared memory to the CM, and it would be useful for the CM to be able to request a particular bitrate from the client, etc.
Comment 1 Jonathon Jongsma 2011-01-07 09:10:04 UTC
Created attachment 41751 [details] [review]
Add initial Call.Content.I.VideoControl interface
Comment 2 Olivier Crête 2011-01-12 13:07:15 UTC
Maybe we should rename ManualKeyframes to something clearer (to say that the decision to generate keyframes is transfered to the CM in that case).

Also, is it a case where we want to use o.fd.DBus.Properties.PropertyChanged instead of doing our own notifications ?
Comment 3 Olivier Crête 2011-02-11 11:57:53 UTC
Sjoerd ++
Olivier ++
David ++
Name is fine

Merge as DRAFT
Comment 4 Jonathon Jongsma 2011-02-14 08:11:46 UTC
OK, pushed draft to master


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.